/*
 * IsRemoteStuLocked.cpp
 *
 *  Created on: 2008-9-21
 *      Author: root
 */

#include "SESOperator.h"
#include "StudentMgr.h"

CIsRemoteStuLocked::CIsRemoteStuLocked()
{
	pStudentMgr = CStudentMgr::instance();

}

CIsRemoteStuLocked::~CIsRemoteStuLocked()
{

	pStudentMgr = NULL;
}

bool CIsRemoteStuLocked::RecvResp(CIntfData& myData)
{
	return true;
}
bool CIsRemoteStuLocked::SendRequ(CIntfData& myData)
{
	pStudentMgr->Send(myData);

	myData.GetOperationID(OperationID);
	return true;
}
int CIsRemoteStuLocked::GetOperationID()
{
	return OperationID;
}

